Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-2a
/
isd
/
{year}
/
{month}
GSTR-2A ISD
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2a/isd/{year}/{month} \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{
  "code": 200,
  "data": {
    "isd": [
      {
        "cfs": "Y",
        "ctin": "16DEFPS8555D1Z7",
        "doclist": [
          {
            "camt": 20,
            "cess": 20,
            "chksum": "AflJufPlFStqKBZ",
            "docdt": "02-12-2023",
            "docnum": "1004",
            "iamt": 20,
            "isd_docty": "ISD",
            "itc_elg": "Y",
            "samt": 20
          }
        ]
      }
    ]
  },
  "timestamp": 1763446641000,
  "transaction_id": "a1283380-4fc6-4a94-bf2c-3fc10e238f41"
}

Headers

Authorization
string
required

Taxpayer access token

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required

Year e.g. 2020

Example:

"{{year}}"

month
string
required

Month e.g. 01

Example:

"{{month}}"

Query Parameters

counterparty_gstin
string

optional Counter party GSTIN

Example:

"{{ctin}}"

Response

200 - application/json

200 Success / RET13509 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"a1283380-4fc6-4a94-bf2c-3fc10e238f41"